AnsweredAssumed Answered

Creating PostgreSQL geodatabase from Pro 2.2

Question asked by mins_gbs_dev on Jul 17, 2018
Latest reply on Jul 21, 2018 by asrujit_pb

Hi,

 

I am trying to create geodatabase in ArcGIS Pro(v2.2) using PostgreSQL(v9.6) with PostGIS(v2.3) and getting this error.

 

"You must copy the latest ST_GEOMETRY library to the PostgreSQL software location. Refer to the ArcGIS help topics for more details."

 

I found st_geometry.dll from 

  1. C:\Program Files\ArcGIS\Server\DatabaseSupport\PostgreSQL\9.6\Windows64
  2. C:\Program Files\ArcGIS\DataStore\framework\runtime\pgsql\lib
  3. C:\Program Files (x86)\ArcGIS\Desktop10.6\DatabaseSupport\PostgreSQL\9.6\Windows64

None of them worked when I copied lib to C:\Program Files\PostgreSQL\9.6\lib. I keep getting the same error.

 

"You must copy the latest ST_GEOMETRY library to the PostgreSQL software location. Refer to the ArcGIS help topics for more details."

 

Do I need to copy PostgreSQL client files mentioned in ArcGIS Help here.? If so, what are those files? Should I copy everything in there?

 

 

The testdb is created at least.

 

Any help please?

 

Thanks.

Min

 

arcgis pro 2.x postgresql 9.6 enterprise-geodatabase 

Outcomes